<section class="o-list-card-favorite">
  <article *ngIf="hasFavorites" class="o-list-card-favorite__no-data">
    <p class="o-list-card-favorite__message-no-data">No favorites</p>
  </article>
  <article
    *ngIf="!hasFavorites"
    class="o-list-card-favorite__artist-list"
    data-testid="list-cardfavorite"
  >
    <app-card-artist
      *ngFor="let item of listFavorite"
      [item]="item"
      [titleTest]="item.song"
      [albumTest]="item.album"
      (click)="removeFavorite(item)"
      [image]="item.image"
      [width]="'12rem'"
      [checkViewArtist]="false"
      [checkPlayMusic]="false"
      [showHeart]="true"
      [checkFavorite]="false"
    >
    </app-card-artist>
  </article>
</section>
